static char rcsid[] = "@(#)$Id: conf_writer.c,v 2.3 2011-03-06 19:52:58 hurtta Exp $";

/******************************************************************************
 *  The Elm (ME+) Mail System  -  $Revision: 2.3 $   $State: Exp $
 *
 *  Author: Kari Hurtta <hurtta+elm@siilo.FMI.FI>  (was hurtta+elm@posti.FMI.FI)
 *      or  Kari Hurtta <elm@elmme-mailer.org>
 *****************************************************************************/

#include "elm_defs.h"
#include "conf_writer_imp.h"

struct config_files * cfiles = NULL;
int                   cfiles_num = 0;

void register_conf_write(shortname,fname,dump_map,write_message)
     char * shortname;
     char *fname;
     dump_conf_map_f * dump_map;
     dump_message_f  * write_message;
{
    cfiles = safe_realloc(cfiles, 
			  sizeof(cfiles[0]) * (cfiles_num+1));

    cfiles[cfiles_num].shortname     = shortname;
    cfiles[cfiles_num].fname         = fname;
    cfiles[cfiles_num].dump_map      = dump_map;
    cfiles[cfiles_num].write_message = write_message;

    cfiles_num++;
}


/*
 * Local Variables:
 *  mode:c
 *  c-basic-offset:4
 *  buffer-file-coding-system: iso-8859-1
 * End:
 */

